Variant.VariantArg (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Variant, class: VariantArg

Package com.sun.jna.platform.win32

# Class Variant.VariantArg

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Variant.VariantArg

Direct Known Subclasses:
  `Variant.VariantArg.ByReference`

Enclosing interface:
  Variant

@FieldOrder("variantArg") public static class Variant.VariantArg extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Variant.VariantArg.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Variant.VARIANT[]`
  `variantArg`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariantArg()`
  `VariantArg(Variant.VARIANT[] variantArg)`
  `VariantArg(Pointer pointer)`
  construct VariantArg cast onto pre-allocated memory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setArraySize(int size)`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### variantArg

    public Variant.VARIANT[] variantArg

- ## Constructor Details

  - ### VariantArg

    public VariantArg()

  - ### VariantArg

    public VariantArg(Pointer pointer)
    construct VariantArg cast onto pre-allocated memory
    Parameters:
      `pointer` - base address

  - ### VariantArg

    public VariantArg(Variant.VARIANT[] variantArg)

- ## Method Details

  - ### setArraySize

    public void setArraySize(int size)